Portfolio

Calculate total value from share value and number of shares

POST/portfolio/transactions/form-calculations/total-value

Server-side form helper that computes total_value = share_value * number_of_shares.

Request body

application/json, required · PortfolioFormCalculateTotalValueRequest

  • share_valuenumberRequired#
  • number_of_sharesnumberRequired#
{
  "share_value": 1,
  "number_of_shares": 1
}

Responses

200
{
  "total_value": "string"
}
422

Validation error

Examples

curl -X POST https://your-org-domain/kong/core/api/v2/portfolio/transactions/form-calculations/total-value\
  -H "Authorization: Bearer $HELM_API_KEY"\
  -H "Content-Type: application/json"\
  -d '{
  "share_value": 1,
  "number_of_shares": 1
}'